Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class org.xml.sax.SAXException

    java.lang.Object
        |
        +----java.lang.Throwable
                |
                +----java.lang.Exception
                        |
                        +----org.xml.sax.SAXException

Subclasses:
  SAXParseException

public class SAXException
extends java.lang.Exception

Encapsulate a general SAX error or warning.

This class can contain basic error or warning information from either the XML parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException.

If the parser or application needs to include information about a specific location in an XML document, it should use the SAXParseException subclass.

Version:
  1.0
See Also:
  SAXParseException

Constructor Summary
SAXException(java.lang.String message) Create a new SAXException.
SAXException(java.lang.Exception e) Create a new SAXException wrapping an existing exception.
SAXException(java.lang.String message, java.lang.Exception e) Create a new SAXException from an existing exception.

Method Summary
java.lang.Exception | getException() Return the embedded exception, if any.
java.lang.String | getMessage() Return a detail message for this exception.
java.lang.String | toString() Convert this exception to a string.

Methods inherited from class java.lang.Throwable
fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### SAXException

    public SAXException(java.lang.String message)

  Create a new SAXException.
  Parameters:
    `message` - The error or warning message.
  See Also:
    setLocale

### SAXException

    public SAXException(java.lang.Exception e)

  Create a new SAXException wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the SAXException.

  Parameters:
    `e` - The exception to be wrapped in a SAXException.

### SAXException

    public SAXException(java.lang.String message,
                        java.lang.Exception e)

  Create a new SAXException from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The exception to be wrapped in a SAXException.
  See Also:
    setLocale

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return a detail message for this exception.

  If there is a embedded exception, and if the SAXException has no detail message of its own, this method will return the detail message from the embedded exception.

  Returns:
    The error or warning message.
  Overrides:
    getMessage in class java.lang.Throwable
  See Also:
    setLocale

### getException

    public java.lang.Exception getException()

  Return the embedded exception, if any.
  Returns:
    The embedded exception, or null if there is none.

### toString

    public java.lang.String toString()

  Convert this exception to a string.
  Returns:
    A string version of this exception.
  Overrides:
    toString in class java.lang.Throwable

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |